%global pkgname prompt-toolkit
%global srcname prompt_toolkit

Summary:        Library for building powerful interactive command line applications in Python
Name:           python-%{pkgname}
Version:        3.0.29
Release:        3%{?dist}
License:        BSD
URL:            https://github.com/prompt-toolkit/python-prompt-toolkit
Source0:        https://github.com/prompt-toolkit/python-prompt-toolkit/archive/refs/tags/3.0.29.tar.gz
BuildArch:      noarch


%description
prompt_toolkit is a library for building powerful interactive command line applications in Python.


%package -n python3-%{pkgname}
Summary:        %{summary}
BuildRequires:  python3-devel
BuildRequires:  python3-pytest
Recommends:     python3-pygments


%description -n python3-%{pkgname}
prompt_toolkit is a library for building powerful interactive command line applications in Python.


%prep
%autosetup

%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files %{srcname}


%check
%pytest


%files -n python3-%{pkgname} -f %{pyproject_files}
%doc README.rst AUTHORS.rst CHANGELOG


%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.0.29-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.0.29-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Dec 1 2022 cunshunxia <cunshunxia@tencent.com> - 3.0.29-1
- initial build
